//  main: main.less, out: ../style.css

/* 
====================================================================================================================================
CONTACT
======================================================================================================================================
*/

// #map {
//     width: calc(100% ~'-'@margin__l);
//     height: 100%;
//     margin-left: @margin__l;
//     background-color: grey;
//     @media @media_smartphone {
//         width: calc(100% ~'-'@margin__m);
//         margin-left: @margin__m;
//     }
// }

.c-contact__map {
    position: absolute;
    bottom: 0;
    right: 0;
    height: 65vh;
    min-height: 300px;
    width: 65vw;
    border: solid white 10px;

    @media @media_tablet {
        height: 50vh;
        min-height: initial;
        width: 100%;
        overflow: hidden;
    }

    @media @media_smartphone {
        height: 50vh;
        min-height: initial;
        width: 100%;
        overflow: hidden;
    }
}

.c-contact__info {
    &.desktop {
        position: absolute;
        bottom: @margin__m;
        left: 0;
        right: 0;
    }

    &.mobile {
        position: relative;
        display: none;
        bottom: initial;
    }

    @media @media_smartphone,
    @media_tablet {
        &.desktop {
            display: none;
        }

        &.mobile {
            display: block;
            margin-bottom: @margin__l;
        }
    }
}

.c-contact__form {
    max-width: @maxContentWidth;
}

.wpcf7-form {

    input[type="text"],  input[type="email"],
    textarea {
        appearance: none;
        -moz-appearance: none;
        -webkit-appearance: none;
        border: none;
        background-color: @input__background;
        color: @button__color;
        height: @input__height;
        margin: 0;
        padding: 0 0 0 10px;
        font-family: @font_base;
        font-size: @input__size;
        .u-placeholderColor(@button__color);

        &:focus {
            outline: none;
        }

        /* Change Autocomplete styles in Chrome*/
        &:-webkit-autofill,
        &:-webkit-autofill:hover,
        &:-webkit-autofill:focus,
        &:-webkit-autofill,
        &:-webkit-autofill:hover,
        &:-webkit-autofill:focus {
            -webkit-text-fill-color: @color__white;
            -webkit-box-shadow: 0 0 0px 1000px @color__primary inset;
            transition: background-color 5000s ease-in-out 0s;
            font-size: @size__s  !important;
        }
    }

    .wpcf7-form-control-wrap {
        display: inline-block;
        width: 100%;
        padding: 0;

        &.costumer-name,
        &.email {
            display: block;
            margin: 10px 0;
            width: calc(50% ~'-'5px);

            input {
                width: 100%;
            }

            @media @media_smartphone {
                width: 100%;
                margin: 5px 0;
            }
        }

        &.costumer-name {
            float: left;
        }
        
        &.email {
            float: right;
        }
    }
    
    .wpcf7-response-output {
        border: solid 3px black!important;
        color: black!important;
        margin: 10px 0!important;
    }
    .message {
        display: inline-block;
        margin: 0;
        clear: both;

        textarea {
            resize: vertical;
            height: 100px;
            width: 100% !important;
            padding-top: 10px;
        }

        @media @media_smartphone {
            margin: 5px 0;
        }
    }

    .wpcf7-submit {
        .o-button;
        color: @color__primary;
        text-align: left;
        text-transform: uppercase;
        font-weight: @font_w__k;
        background-color: transparent;
        border: none;
        padding: 0 !important;
        cursor: pointer;
        padding-right: 70px !important;
        background-image: url('./images/icn-arrow.svg');
        background-repeat: no-repeat;
        background-size: 60px auto;
        background-position: center right;
        &:focus {
            outline: none;
        }
    }

    span {
        margin: 5px 0;
    }

    @media @media_smartphone {

        h2 {
            font-size: @size__m;
        }
    }
}